# Works with either ElementTree or python-lxml
%define modname OWSLib
%define module  owslib

Name:           python-%{module}
Version:        0.28.1
Release:        %mkrel 1
Summary:        Client library for OGC web services
Group:          Development/Python
License:        BSD
URL:            https://geopython.github.io/OWSLib
Source0:        https://pypi.io/packages/source/o/owslib/%{modname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description
Package for client programming with Open Geospatial Consortium (OGC) web
service (hence OWS) interface standards, and their related content models.

%package -n     python3-%{module}
Summary:        Client library for OGC web services
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Package for client programming with Open Geospatial Consortium (OGC) web
service (hence OWS) interface standards, and their related content models.

This is the Python 3 version of %{modname}.

%prep
%setup -q -n %{modname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files owslib

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst CHANGES.rst AUTHORS.rst


%changelog
* Tue Mar 14 2023 daviddavid <daviddavid> 0.28.1-1.mga9
+ Revision: 1949025
- new version: 0.28.1, fixes CVE-2023-27476 (mga#31667)
- switch to pyproject

* Wed Mar 23 2022 umeabot <umeabot> 0.25.0-2.mga9
+ Revision: 1823543
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.25.0-1.mga9
+ Revision: 1783420
- version 0.25.0
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.23.0-1.mga9
+ Revision: 1707371
- new version: 0.23.0
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.17.1-3.mga8
+ Revision: 1532030
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.17.1-2.mga8
+ Revision: 1441427
- rebuild for python3.8
- drop python2 support

* Thu Apr 04 2019 daviddavid <daviddavid> 0.17.1-1.mga7
+ Revision: 1385817
- initial package python-owslib

